- entityDefinitions:
  - IDI_Task_ViewReturnAttributeMethodBinding: '{9d4b8259-1141-4b83-8a02-8b3b269fb1d3}'
  - IDI_Task_EditReturnAttributeMethodBinding: '{f4b7c06a-14c0-4b69-bdd4-7f8e8f63a4d7}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ClassForEditClassTask;'
    name: 'Class for Edit Class Task'
    validClasses:
    - instance: '&IDC_Class;'

  - sequenceTask: '&IDI_Task_ViewReturnAttributeMethodBinding;'
    name: 'View Return Attribute Method Binding'
    initiatingElement: '&IDE_ReturnAttributeMethodBinding_View;'
    taskCategory: '&IDI_TaskCategory_ReturnAttributeMethodBinding;'

  - sequenceTask: '&IDI_Task_EditReturnAttributeMethodBinding;'
    name: 'Edit Return Attribute Method Binding'
    initiatingElement: '&IDE_ReturnAttributeMethodBinding_Edit;'
    taskCategory: '&IDI_TaskCategory_ReturnAttributeMethodBinding;'

  - element: '&IDE_ReturnAttributeMethodBinding_View;'
    name: 'view ramb'
    elementContents:
    - globalIdentifier: '{a1861738-248b-484e-9f89-b62bc48b105f}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ReturnAttributeMethodBinding_Definition;'
    name: 'ramb subedit'
    elementContents:
    - globalIdentifier: '{e7823915-0023-4379-952a-7c0287345a45}'
      defaultDataType: '&IDC_ReturnAttributeMethodBinding;'
      label: 'Method Binding'
    - globalIdentifier: '{8bc0131c-f90d-497a-942d-11c2633a3ae4}'
      defaultDataType: '&IDR_Method_Binding__executes__Method;'
      label: 'Executes Method'


  - element: '&IDE_ReturnAttributeMethodBinding_Edit;'
    name: 'edit ramb'
    elementContents:
    - globalIdentifier: '{014a2850-5846-4819-b882-b1e2b5041491}'
      defaultDataType: '&IDE_ReturnAttributeMethodBinding_Definition;'
